function MenuMessage(command, submenu, id) {
	this.messagetype = "menu";

	this.command = command;
	this.submenu = submenu;
	this.id = id;
};

function CameraMessage(command, camera) {
	this.messagetype = "camera";
	
	this.command = command;
	this.camera = camera;
};

WebSettings.prototype = new WebConnection("/websettings");
WebSettings.prototype.constructor = WebSettings;
WebSettings.parent = WebConnection.prototype;

function WebSettings() {
	this.set = function (settingSet, type, option, value) { this._send(new SettingMessage(settingSet, type, option, value)); };
	
	this.go = function (submenu, id) { this._send(new MenuMessage("go", submenu, id)); };
	this.select = function (submenu, id) { this._send(new MenuMessage("select", submenu, id)); };
	this.add = function (id, submenu) { this._send(new MenuMessage("add", submenu, id)); };
	this.menuOk = function (submenu) { this._send(new MenuMessage("ok", submenu)); };

	/*this.onImage = function (target, type, image) {
		if (type === "base64") $("#" + target).attr("src", "data:image/jpeg;base64," + image);
		else $("#" + target).attr("src", (window.URL || window.webkitURL).createObjectURL(image));
	};*/

	this.onUpdate = function (message) {
		var target = $("#" + message.target);
		if (target.length > 0) target.html(message.value);
	};

	this._onMessage = function (result) {
		var type = result.type;
		var message = result.message;
		if (type === "menu") this.onMenuMessage(message);
		else if (type === "update") this.onUpdate(message);
	};
	this.onMenuMessage = function (message) {};
};
